package edu.travel.annotation;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.lang.annotation.*;

/**
 * @author
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
@Inherited
public @interface LinkOne {
    /**
     *  主表关联字段
     * @return
     */
    String linkField();

    /**
     * 使用哪个mapper来关联查询
     * @return
     */
    Class linkMapper();

    /**
     * 从表关联字段
     * @return
     */
    String linkPrimaryField();
}
